define(["eglx/ui/rui/eze$$Widget"],function(){
	egl.defineClass(
	'utils', 'BrowserUtils',
	{
		
		"constructor" : function() {
		},
		
		"getViewportWidth" : function () {
			return document.documentElement.clientWidth || window.innerWidth || document.body.clientWidth;
		},
		
		"getViewportHeight" : function(){
			return document.documentElement.clientHeight|| window.innerHeight || document.body.clientHeight;
		},
		
		"getDeviceWidth" : function () {
			return window.screen.width || window.screen.availWidth;
		},
		
		"getDeviceHeight" : function(){
			return window.screen.height || window.screen.availHeight;
		},
		
		"getDocumentWidth" : function () {
			return Math.max( document.documentElement.clientWidth, document.documentElement.offsetWidth, document.documentElement.scrollWidth);
		},
		
		"getDocumentHeight" : function(){
			return Math.max( document.documentElement.clientHeight, document.documentElement.offsetHeight, document.documentElement.scrollHeight );
		},
		
		"getPageXOffset" : function(){
			return Math.max( window.pageXOffset );
		},
		
		"getPageYOffset" : function(){
			return Math.max( window.pageYOffset );
		},
		
		"setFavicon" : function( icon ){
			this.favicon = icon;
			var link = document.createElement('link');
			link.type = 'image/x-icon';
			link.rel = 'shortcut icon';
			link.href = this.favicon;
			document.getElementsByTagName('head')[0].appendChild(link);
		},
		
		"getFavicon" : function(){
			return this.favicon;
		},
		
		"openWindow" : function( url ){
			window.open(url);
		},
		
		"eglEncodeURI" : function( uri ){
			return encodeURI(uri);
		},
		
		"isTouchDevice" : function(){
			return !!('ontouchstart' in window);
		},
		
		"setCookie" : function (name,value,days) {
			if (days) {
				var date = new Date();
				date.setDate(date.getDate() + (days*24*60*60*1000));
				var expires = "; expires="+date.toGMTString();
			}
			else var expires = "";
			document.cookie = name + "=" + value + expires + "; path=/";
		},
		
		"getCookie" : function (name) {
			var nameEQ = name + "=";
			var ca = document.cookie.split(';');
			for(var i = 0; i < ca.length; i++) {
				var c = ca[i];
				while (c.charAt(0) == ' ') c = c.substring(1, c.length);
				if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
			}
			return null;
		},
		
		"deleteCookie" : function (name) {
			this.setCookie(name,"",-1);
		},
		
		"setOnbeforeUnload" : function(beforeUnload) {
			window.onbeforeunload = beforeUnload;
		},
		
		"setOnresize" : function(resize) {
			window.onresize = resize;
		}
		
});});
